/**
 *
 */
package Member;

import java.util.List;

import main.MainControl;
import vofiles.EmpVOmember;
import End.EndView;
import Viewer.Menu;

/**
 * @author Kayano
 *
 */
public class MemberExitBean implements MemberBean {

    private MemberControl memberControl;

    private EndView end;

    private static final String args[] = { "Menu.txt", "Members.txt", "Schedules.txt", "Results.txt", "Exit.txt" };

    @Override
    public boolean input(String fileName) {
        System.out.println(fileName);
        return true;
    }

    @Override
    public void execute(String fileName) {

        //メニュー番号を指定します。
        int menuNo = Menu.getNoMember4();
        switch (menuNo) {
        case 1:
            memberControl = new MemberControl();
            memberControl.execute(fileName);
            break;
        case 2:
            MainControl.main2(args);
            break;
        case 3:
            end = new EndView();
            end.execute(args[4]);
        }

    }

    @Override
    public EmpVOmember executeReturn(String fileName) {
        //メニュー番号を指定します。
        int menuNo = Menu.getNoMember4();
        switch (menuNo) {
        case 1:
            memberControl = new MemberControl();
            memberControl.execute(fileName);
            break;
        case 2:
            MainControl.main2(args);
            break;
        case 3:
            end = new EndView();
            end.execute(args[4]);
        }
        return null;
    }

    @Override
    public List<EmpVOmember> executeReturnAll(String fileName) {
        // TODO 自動生成されたメソッド・スタブ
        return null;
    }

    @Override
    public EmpVOmember executeReturn(String fileName, String checkNumber, String checkMenuname, String checkDetails) {
        // TODO 自動生成されたメソッド・スタブ
        return null;
    }

    @Override
    public EmpVOmember executeInsertReturn(String fileName, String[] emp) {
        // TODO 自動生成されたメソッド・スタブ
        return null;
    }

}
